%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	File-Remove

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Perl File::Remove Module
Name:		perl-%{perlname}
Version:	0.39
Release:	1
Group:		Development/Perl
License:	GNU/GPL
URL:		http://search.cpan.org/search?module=File+Remove
Source:		%{perlname}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
File::Remove::remove removes files and directories. It acts like /bin/rm, for 
the most part. Although unlink can be given a list of files, it will not remove
directories; this module remedies that. It also accepts wildcards, * and ?, as 
arguments for filenames.

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README 
%_libdir
%_mandir

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.39-1
- Version Update
* Sat Oct 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.33-1
- Initial Build
